inchol-class {kernlab} | R Documentation

## Class "inchol"

### Description

The reduced Cholesky decomposition object

### Objects from the Class

Objects can be created by calls of the form `new("inchol", ...)`. or by calling the `inchol` function.

### Slots

`.Data`:

  Object of class `"matrix"` contains the decomposed matrix

`pivots`:

  Object of class `"vector"` contains the pivots performed

`diagresidues`:

  Object of class `"vector"` contains the diagonial residues

`maxresiduals`:

  Object of class `"vector"` contains the maximum residues

### Extends

Class `"matrix"`, directly.

### Methods

diagresidues

  `signature(object = "inchol")`: returns the diagonial residues

maxresiduals

  `signature(object = "inchol")`: returns the maximum residues

pivots

  `signature(object = "inchol")`: returns the pivots performed

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`inchol`, `csi-class`, `csi`

### Examples

    data(iris)
    datamatrix <- as.matrix(iris[,-5])
    # initialize kernel function
    rbf <- rbfdot(sigma=0.1)
    rbf
    Z <- inchol(datamatrix,kernel=rbf)
    dim(Z)
    pivots(Z)
    diagresidues(Z)
    maxresiduals(Z)

[Package kernlab version 0.9-27 Index]